## NEdit Command Line

       nedit [-read] [-create] [-line n | +n] [-server]
          [-do command] [-tags file] [-tabs n] [-wrap]
          [-nowrap] [-autowrap] [-autoindent] [-noautoindent]
          [-autosave] [-noautosave] [-rows n] [-columns n]
          [-font font] [-lm languagemode] [-geometry geometry]
          [-iconic] [-noiconic] [-display [host]:server[.screen]
          [-xrm resourcestring] [-svrname name] [-import file]
          [-background color] [-foreground color] [-h|-help]
          [-tabbed] [-untabbed] [-group] [-V|-version]
          [--] [file...]

    -read

Open the file Read Only regardless of the actual file protection.

    -create

Don't warn about file creation when a file doesn't exist.

    -line n (or +n)

Go to line number n in the file following this switch.

    -server

Designate this session as an NEdit server, for processing commands from the nc program. nc can be used to interface NEdit to code development environments, mailers, etc., or just as a quick way to open files from the shell command line without starting a new NEdit session.

    -do command

Execute an NEdit macro or action on the file following the -do argument on the command line. -do is particularly useful from the nc program, where nc -do can remotely execute commands in an NEdit -server session.

    -tags file

Load a file of directions for finding definitions of program subroutines and data objects. The file must be of the format generated by Exuberant Ctags, or the standard Unix ctags command.

    -tabs n

Set tab stops every n characters.

    -wrap, -nowrap

Wrap long lines at the right edge of the window rather than continuing them past it. (Continuous Wrap mode)

    -autowrap, -noautowrap

Wrap long lines when the cursor reaches the right edge of the window by inserting newlines at word boundaries. (Auto Newline Wrap mode)

    -autoindent, -noautoindent

Maintain a running indent.

    -autosave, -noautosave

Maintain a backup copy of the file being edited under the name '~filename'.

    -rows n

Default height in characters for an editing window.

    -columns n

Default width in characters for an editing window.

    -font font (or -fn font)

Font for text being edited (Font for menus and dialogs can be set with -xrm "*fontList:font").

    -lm languagemode

Initial language mode used for editing succeeding files.

    -geometry geometry (or -g geometry)

The initial size and/or location of editor windows. The argument geometry has the form:

       [<width>x<height>][+|-][<xoffset>[+|-]<yoffset>]

where <width> and <height> are the desired width and height of the window, and <xoffset> and <yoffset> are the distance from the edge of the screen to the window, + for top or left, - for bottom or right. -geometry can be specified for individual files on the command line.

    -iconic, -noiconic

Initial window state for succeeding files.

    -display [host]:server[.screen]

The name of the X server to use. host specifies the machine, server specifies the display server number, and screen specifies the screen number. host or screen can be omitted and default to the local machine, and screen 0.

    -background color (or -bg color)

User interface background color. (Background color for text can be set separately with -xrm "nedit.textBgColor: color" or using the Preferences -> Colors dialog).

    -foreground color (or -fg color)

User interface foreground color. (Foreground color for text can be set separately with -xrm "nedit.textFgColor: color" or using the Preferences -> Colors dialog).

    -tabbed

Open all subsequent files in new tabs. Resets -group option.

    -untabbed

Open all subsequent files in new windows. Resets -group option. Note that this only works on subsequent files in this command and does not put NEdit in tab-less mode; for that you can use the command

        nedit -xrm "nedit.openInTab: False" -xrm "nedit.tabBarHideOne: True"

This will affect your default settings for the session, and will be saved if Preferences->Save Defaults... is used, which may not be desired.

    -group

Open all subsequent files as tabs in a new window.

    -xrm resourcestring

Set the value of an X resource to override a default value (see "Customizing NEdit").

    -svrname name

When starting NEdit in server mode, name the server, such that it responds to requests only when nc is given a corresponding -svrname argument. By naming servers, you can run several simultaneously, and direct files and commands specifically to any one. Specifying a non-empty name automatically designates this session as an NEdit server, as though -server were specified.

    -import file

Loads an additional preferences file on top of the existing defaults saved in your preferences file. To incorporate macros, language modes, and highlight patterns and styles written by other users, run NEdit with -import <file>, then re-save your preferences file with Preferences -> Save Defaults.

    -version

Prints out the NEdit version information. The -V option is synonymous.

    -help

Prints out the NEdit command line help. The -h option is synonymous.

    --

Treats all subsequent arguments as file names, even if they start with a dash. This is so NEdit can access files that begin with the dash character.